<center><h4>АККАУНТ</H4><hr>
| <a href="index.php?id=reg_true">Регистрация</a> 
| <a href="index.php?id=changepassword">Сменить пароль</a> 
| <a href="index.php?id=repass1">Востановить пароль</a>
| <a href=index.php?id=msg>Написать GMу</a>|<br><hr>
 </center><ul> <ul>  
<H4>Смена пароля</h4>

<br><BR><ul>
<LI> Аккаунт и пароль не могут быть пустыми.<BR>
<LI> Аккаунт и пароль не могут содержать менее 4 знаков
и больее 20 знаков.<BR>
<LI>Аккаунт и пароль пишутся латинскими буквами или цифрами.<BR>
<BR><BR>
</ul>
<script type="text/javascript">//<![CDATA[
function isAlphaNumeric(value)
{
  if (value.match(/^[a-zA-Z0-9_]+$/))
    return true;
  return false;
}
function checkform(f)
{
  if (f.account.value=="")
  {
    alert("Введите аккаунт");
    return false;
  }
  if (!isAlphaNumeric(f.account.value))
  {
    alert("Аккаунт должен состоять из английских букв и/или цифр!");
    return false;
  }
  if (f.oldpassword.value=="")
  {
    alert("Введите старый пароль");
    return false;
  }
  if (f.newpassword.value=="")
  {
    alert("Введите новый пароль");
    return false;
  }
  if (!isAlphaNumeric(f.newpassword.value))
  {
    alert("Пароль должен состоять из английских букв и/или цифр!");
    return false;
  }
  if (f.newpassword2.value=="")
  {
    alert("Введите новый пароль повторно");
    return false;
  }
  if (f.newpassword.value!=f.newpassword2.value)
  {
    alert("Пароль и повтор пароля не совпадают!");
    return false; 
  }
return true;
}
//]]></script>
</head>
<body>
<form method="post" action="index.php?id=changepassword" onsubmit="return checkform(this)">
<table>
<?php
$input[]=Array("text"    , "account"     , 20);
$input[]=Array("password", "oldpassword" , 20);
$input[]=Array("password", "newpassword" , 20);
$input[]=Array("password", "newpassword2", 20);
for ($i=0; $i<count($input); $i++)
{
$Lang["accounts_account"]="Аккаунт";
$Lang["accounts_email"]="E-mail";
$Lang["accounts_password"]="Пароль";
$Lang["accounts_newpassword"]="Новый пароль";
$Lang["accounts_oldpassword"]="Старый пароль";
$Lang["accounts_newpassword2"]="Повторите новый пароль";
$Lang["accounts_accountnotalphanumeric"]="Аккаунт должен состоять из английских букв и/или цифр!";
$Lang["error_error"]='Ошибка: ';
$Lang["accounts_passwordnotalphanumeric"]="Пароль должен состоять из английских букв и/или цифр!";
$Lang["accounts_notemail"]="Это не e-mail!";
$Lang["accounts_registered"]="<b>Аккаунт успешно зарегистрирован !<br><br>Обязательно запомните эти данные.<br><br></b>";
$Lang["accounts_email_error"]="Ошибка при отправке e-mail'а";
$Lang["accounts_alreadyexist"]="Такой аккаунт уже существует";
$Lang["accounts_passwordchanged"]="<b>Пароль изменен !</b>";
$Lang["accounts_missingloginorpassword"]="Неправильные логин или пароль";
 print '<tr>
  <td>'.$Lang["accounts_".$input[$i][1]].'</td>
  <td><input type="'.$input[$i][0].'" name="'.$input[$i][1].'" maxlength="'.$input[$i][2].'" value="'.@$_POST[$input[$i][1]].'" /></td>
 </tr>
 ';
}
?>
 <tr>
  <td colspan="2" style="text-align: center;"><br /><input type="submit" name="submit" value="Сменить пароль" /></td>
 </tr>
</table>
</form>
<?php
if ($page="index.php" && @$_POST['account'] && strlen($_POST['account'])<=20 && $_POST['oldpassword'] && $_POST['newpassword'] && $_POST['newpassword']==$_POST['newpassword2'])
{
  if (!eregi("^[a-zA-Z0-9_]+$", $_POST['account']))
    die ("<p class=\"error\">" . $Lang["error_error"] . $Lang["accounts_accountnotalphanumeric"] . "</p>");

  $result=mysql_query("SELECT count(*) FROM accounts WHERE login='".$_POST['account']."' AND password='".base64_encode(pack('H*', sha1(utf8_encode($_POST['oldpassword']))))."'", $link)
    or die ('Error '.mysql_errno().': '.mysql_error());
  if (mysql_result($result,0,0) == 1)
  {
    mysql_query("UPDATE accounts SET password='".base64_encode(pack('H*', sha1(utf8_encode($_POST['newpassword']))))."' WHERE login='".$_POST['account']."'", $link)
      or die ('Error '.mysql_errno().': '.mysql_error());
    print "<p style=\"font-weight: bold;\">".$Lang["accounts_passwordchanged"]."</p>";
  }
  else
    print "<p class=\"error\">".$Lang["accounts_missingloginorpassword"]."</p>";
}
?>
</body>
</html>
